package com.yonge.toolset.payment.base.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * 支付服务提供方
 *
 * @Author: liweifan
 * @Data: 2022/3/31 14:59
 */
public enum OpenEnum implements BaseEnum<String, OpenEnum> {

    ORIGINAL("微信支付宝"),
    ADAPAY("汇付");

    @EnumValue
    private String code;
    private String msg;

    OpenEnum(String msg) {
        this.code = this.name();
        this.msg = msg;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }
}
